Bug 816201 - yppasswd doesn't handle crypt() returning NULL
Summary: yppasswd doesn't handle crypt() returning NULL
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: yp-tools
Version: 6.2
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: ---
Assignee: Matej Mužila
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On: 814803 816203
Blocks: 947782 1159825
TreeView+ depends on / blocked
 
Reported: 2012-04-25 13:33 UTC by Honza Horak
Modified: 2017-04-07 19:13 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 814803
Environment:
Last Closed: 2017-04-07 19:13:56 UTC
Target Upstream Version:


Attachments (Terms of Use)
Patch which prints error and exists when crypt fails (2.38 KB, patch)
2012-12-03 13:43 UTC, Honza Horak
no flags Details | Diff

Description Honza Horak 2012-04-25 13:33:47 UTC
+++ This bug was initially created as a clone of Bug #814803 +++

Created attachment 579069 [details]
yp-tools spec file

yppasswd doesn't handle crypt() returning NULL, which is possible in fips mode and other corner conditions. It blindly tries to sntrcmp or strdup the return
values of crypt()

Attached is a patch and updated spec file for rawhide

--- Additional comment from pwouters@redhat.com on 2012-04-20 13:48:13 EDT ---

Created attachment 579072 [details]
patch hanlding crypt() returning NULL

As I do not have an existing YP/NIS setup, someone should really test this patch

--- Additional comment from hhorak@redhat.com on 2012-04-23 09:18:49 EDT ---

Thanks for reporting. I've pushed the patch to upstream, applied in Rawhide and will update in F17 soon.

Right now, I'm not going to apply the patch and update in F16 and F15 though, unless there is a real use case requiring this fix or some more significant fix.

--- Additional comment from updates@fedoraproject.org on 2012-04-23 09:20:45 EDT ---

yp-tools-2.12-9.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/yp-tools-2.12-9.fc17

--- Additional comment from pwouters@redhat.com on 2012-04-23 22:12:48 EDT ---

no need for f16, f15. Though RHEL would be nice :)

--- Additional comment via e-mail from sgrubb@redhat.com on 2012-04-23 23:19:48 EDT ---

The Single Unix Spec documents crypt() as being able to return NULL under certain conditions that are not related to FIPS. So, all software needs to handle this possibility. But there have been some recent changes in glibc that make it more likely that you will hit this. Especially if the user can control the input. I'd update everywhere that you can get a QE slot. RHEL5 FIPS support is supposed to be good. But I don't know if the glibc developers also updated it in a way that makes this more likely now.

Comment 1 RHEL Program Management 2012-09-07 05:12:15 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.

Comment 2 Honza Horak 2012-12-03 13:43:42 UTC
Created attachment 656631 [details]
Patch which prints error and exists when crypt fails

Comment 16 Honza Horak 2017-04-07 19:13:56 UTC
Red Hat Enterprise Linux 6 shipped its last Production 2 phase minor
release, RHEL 6.9, on March 21, 2016. On May 10, 2017, RHEL 6 exits
Production 2 phase and moves into Production 3 phase. For RHEL releases
in Production 3 phase, Red Hat will provide critical-impact security
fixes and urgent priority bug fixes for the last minor release but will
not provide any software enhancements or hardware enablement. 

This BZ does not appear to meet the Product 3 phase inclusion criteria
described above so is being closed WONTFIX. If this BZ is critical for
your environment, please open a case in the Red Hat Customer Portal,
https://access.redhat.com, provide a thorough business justification and
ask that the BZ be re-opened for consideration. Please note, only
critical-impact security fixes and urgent priority bug fixes will be
considered, and no software enhancements or hardware enablement will be
performed.


Note You need to log in before you can comment on or make changes to this bug.